import Vue from 'vue';

// 创建一个全局过滤器，用于限制字符串只能输入数字，第二个参数是能输入的小数点位数，去除多余的字母和小数点、数字
Vue.filter('number', (value, num = 0) => {
  return value
    .replace(/[^\d.]/g, '')
    .replace(/\.{2,}/g, '.')
    .replace('.', `$#$`)
    .replace(/\./g, '')
    .replace('$#$', '.')
    .replace(new RegExp(`^(\\-)*(\\d+)\\.(\\d{${num}}).*$`), '$1$2.$3');
});
